<template>
  <v-dialog v-model="show" max-width="800">
    <v-card>
      <v-toolbar color="primary" dark>Post-experiment</v-toolbar>
      <v-card-text>
        <v-row align="center" justify="center">
          <v-col cols="12" style="text-align: center">
            <p class="text-h4">
              Experiments done: {{ loops_done }}/{{ target }}
              <v-icon v-if="loops_done == target" color="success"
                >mdi-checkbox-marked-circle-outline</v-icon
              >
              <v-icon v-else color="error">mdi-close-circle-outline</v-icon>
            </p>
          </v-col>
        </v-row>
        <v-row justify="center" align="center">
          <v-col cols="5">
            <v-btn text @click="openLogs"
              >Logs <v-icon right>mdi-folder-open</v-icon></v-btn
            >
          </v-col>
          <v-col cols="5" align="center">
            <vue-ellipse-progress
              :progress="((loops_done * 100) / target).toFixed(2)"
              fontSize="3rem"
              :color="accentColor"
              emptyColor="#00000000"
            >
              <span slot="legend-value">%</span>
            </vue-ellipse-progress>
          </v-col>
        </v-row>
      </v-card-text>
      <v-card-actions
        ><v-spacer /><v-btn text @click="show = false"
          >Close</v-btn
        ></v-card-actions
      >
    </v-card>
  </v-dialog>
</template>

<script>
import { EventBus } from "@/plugins/bus.js";

export default {
  name: "Post",
  props: ["loops_done", "target"],
  data: () => ({
    show: false,
  }),
  computed: {
    accentColor() {
      let theme = this.$vuetify.theme.dark ? "dark" : "light";
      return this.$vuetify.theme.themes[theme].accent;
    },
  },
  methods: {
    openLogs() {
      this.$axios
        .post("/open", {
          is_path: false,
          path: "logs",
        })
        .then(() => {})
        .catch(() => {})
        .finally(() => {});
    },
  },
  mounted() {
    EventBus.$on(
      "disconnected",
      function () {
        this.show = true;
      }.bind(this)
    );
  },
};
</script>